# bin-client

Command line client for [mkr/bin](https://github.com/MKRhere/bin) and
[hastebin](https://github.com/seejohnrun/haste-server/). Uses
[bin.webionite.com](https://bin.webionite.com) as the default instance.

## Requirements

+ xclip (for copying url into clipboard)
+ curl

## Usage

Copy `mbin.sh` to your PATH or add an alias to point to the absolute path of
`mbin.sh`.

```bash
  some_command | mbin.sh
  mbin.sh # Opens in interactive mode.
  mbin.sh -c # Posts clipboard contents to bin
  mbin.sh --clipboard # Posts clipboard contents to bin
```

## Customization

+ To use custom instance, export `MKR_BIN` variable. Also, set `HASTEBIN=1` if
  it is a hastebin instance.
  + Add `export MKR_BIN="https://bin.example.com/"` (Ensure to keep the
    trailing slash) in your shell rc (`~/.bashrc` if using bash).
+ To use an editor other than vim in interactive mode, export `EDITOR` variable.
  + Add `export EDITOR=micro` in your shell rc (`~/.bashrc` if using bash).
